CVE-2016-10267

NameCVE-2016-10267
DescriptionLibTIFF 4.0.7 allows remote attackers to cause a denial of service (divide-by-zero error and application crash) via a crafted TIFF image, related to libtiff/tif_ojpeg.c:816:8.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-877-1, DSA-3844-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tiff (PTS)stretch4.0.8-2+deb9u4fixed
stretch (security)4.0.8-2+deb9u5fixed
buster, buster (security)4.1.0+git191117-2~deb10u1fixed
bullseye, sid4.1.0+git191117-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tiffsource(unstable)4.0.7-2
tiffsourcejessie4.0.3-12.3+deb8u3DSA-3844-1
tiffsourcewheezy4.0.2-6+deb7u11DLA-877-1
tiff3source(unstable)(unfixed)
tiff3sourcewheezy(not affected)

Notes

[wheezy] - tiff3 <not-affected> (Unreproducible, BigTIFF not supported by this version)
https://blogs.gentoo.org/ago/2017/01/01/libtiff-multiple-divide-by-zero/
https://github.com/vadz/libtiff/commit/43bc256d8ae44b92d2734a3c5bc73957a4d7c1ec
http://bugzilla.maptools.org/show_bug.cgi?id=2611

Search for package or bug name: Reporting problems